0

Who corrects and supports the core code??

Downloading CIVICRM code for Drupal 10.2.2 failed on enabling the module which errored out on a $var error - should be {$var} in DB.php - so after running rector - at least 8 times to clear many, many patch errors, I got left with

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/PEAR/Registry.php" file, due to: "Syntax error, unexpected T_NEW322, Syntax error, unexpected T_NEW1450, Syntax error, unexpected T_NEW1458". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/PEAR/Config.php" file, due to: "Syntax error, unexpected T_NEW650, Syntax error, unexpected T_NEW697, Syntax error, unexpected T_NEW757, Syntax error, unexpected T_NEW786, Syntax error, unexpected T_NEW914, Syntax error, unexpected T_NEW1577, Syntax error, unexpected T_NEW1607, Syntax error, unexpected T_NEW2038, Syntax error, unexpected T_NEW2091". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/rules-custom.php" file, due to: "Syntax error, unexpected T_NEW74". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/rules-builtin.php" file, due to: "Syntax error, unexpected T_NEW14". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/renderers/SmartyStatic_example.php" file, due to: "Syntax error, unexpected T_NEW102, Syntax error, unexpected T_NEW106". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/renderers/SmartyDynamic_example.php" file, due to: "Syntax error, unexpected T_NEW81, Syntax error, unexpected T_NEW93". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/renderers/QuickHtml_example.php" file, due to: "Syntax error, unexpected T_NEW24, Syntax error, unexpected T_NEW26". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/renderers/ITStatic_example.php" file, due to: "Syntax error, unexpected T_NEW103, Syntax error, unexpected T_NEW106". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/renderers/ITDynamic_example2.php" file, due to: "Syntax error, unexpected T_NEW108, Syntax error, unexpected T_NEW113". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/renderers/ITDynamic_example.php" file, due to: "Syntax error, unexpected T_NEW78, Syntax error, unexpected T_NEW84". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/renderers/FlexyStatic_example.php" file, due to: "Syntax error, unexpected T_NEW132". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/renderers/FlexyDynamic_example.php" file, due to: "Syntax error, unexpected T_NEW75, Syntax error, unexpected T_NEW93". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/groups.php" file, due to: "Syntax error, unexpected T_NEW15". On line: 82

[ERROR] Could not process "/var/www/bigbay4b/public_html/vendor/civicrm/civicrm-packages/ORIGINAL/html2text/class.html2text.inc" file, due to: "System error: "Functional test class html2text should have had a defaultTheme property but one not found." Run Rector with "--debug" option and post the report here: https://github.com/rectorphp/rector/issues/new". On line: 94

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/formrule.php" file, due to: "Syntax error, unexpected T_NEW62". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/filters.php" file, due to: "Syntax error, unexpected T_NEW21". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/docs/elements.php" file, due to: "Syntax error, unexpected T_NEW16". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/QuickForm/hierselect.php" file, due to: "Syntax error, unexpected T_NEW171, Syntax error, unexpected T_NEW226, Syntax error, unexpected T_NEW297, Syntax error, unexpected T_NEW475". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/QuickForm/group.php" file, due to: "Syntax error, unexpected T_NEW302". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/QuickForm/date.php" file, due to: "Syntax error, unexpected T_NEW426, Syntax error, unexpected T_NEW514". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/QuickForm/RuleRegistry.php" file, due to: "Syntax error, unexpected T_NEW128". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/QuickForm/Controller.php" file, due to: "Syntax error, unexpected T_NEW213". On line: 82

[ERROR] Could not process "vendor/civicrm/civicrm-packages/ORIGINAL/HTML/QuickForm.php" file, due to: "Syntax error, unexpected T_NEW601, Syntax error, unexpected T_NEW1715, Syntax error, unexpected T_NEW1872". On line: 82

[ERROR] Could not process "/var/www/bigbay4b/public_html/vendor/civicrm/civicrm-packages/HTML/QuickForm.php" file, due to: "System error: "Functional test class HTML_QuickForm should have had a defaultTheme property but one not found." Run Rector with "--debug" option and post the report here: https://github.com/rectorphp/rector/issues/new". On line: 94

[ERROR] Could not process "/var/www/bigbay4b/public_html/vendor/civicrm/civicrm-packages/HTML/QuickForm/Controller.php" file, due to: "System error: "Functional test class HTML_QuickForm_Controller should have had a defaultTheme property but one not found." Run Rector with "--debug" option and post the report here: https://github.com/rectorphp/rector/issues/new". On line: 94

[ERROR] Could not process "/var/www/bigbay4b/public_html/vendor/civicrm/civicrm-packages/HTML/QuickForm/RuleRegistry.php" file, due to: "System error: "Functional test class HTML_QuickForm_RuleRegistry should have had a defaultTheme property but one not found." Run Rector with "--debug" option and post the report here: https://github.com/rectorphp/rector/issues/new". On line: 94

[ERROR] Could not process "/var/www/bigbay4b/public_html/vendor/civicrm/civicrm-packages/HTML/QuickForm/date.php" file, due to: "System error: "Functional test class HTML_QuickForm_date should have had a defaultTheme property but one not found." Run Rector with "--debug" option and post the report here: https://github.com/rectorphp/rector/issues/new". On line: 94

[ERROR] Could not process "/var/www/bigbay4b/public_html/vendor/civicrm/civicrm-packages/HTML/QuickForm/group.php" file, due to: "System error: "Functional test class HTML_QuickForm_group should have had a defaultTheme property but one not found." Run Rector with "--debug" option and post the report here: https://github.com/rectorphp/rector/issues/new". On line: 94

[ERROR] Could not process "/var/www/bigbay4b/public_html/vendor/civicrm/civicrm-packages/HTML/QuickForm/hierselect.php" file, due to: "System error: "Functional test class HTML_QuickForm_hierselect should have had a defaultTheme property but one not found." Run Rector with "--debug" option and post the report here: https://github.com/rectorphp/rector/issues/new". On line: 94

[ERROR] Could not process "/var/www/bigbay4b/public_html/vendor/civicrm/civicrm-packages/PHPgettext/gettext.inc" file, due to: "System error: "Functional test class domain should have had a defaultTheme property but one not found." Run Rector with "--debug" option and post the report here: https://github.com/rectorphp/rector/issues/new". On line: 94

Operating system CentOS Linux 7.9.2009 Perl version 5.016003 Path to Perl /usr/bin/perl Python version 3.6.8 Path to Python /bin/python3 BIND version 9.11 Postfix version 2.10.1 Mail injection command /usr/lib/sendmail -t Apache version 2.4.51 PHP 8.2.15 (cli) (built: Jan 16 2024 12:19:32) (NTS gcc x86_64) Copyright (c) The PHP Group Zend Engine v4.2.15, Copyright (c) Zend Technologies with Zend OPcache v8.2.15, Copyright (c), by Zend Technologies Logrotate version 3.8.6 MariaDB version 10.3.32 ProFTPD version 1.35 SpamAssassin version 3.4.0 ClamAV version 0.103.4

Installed download using " composer require civicrm/civicrm-{core,packages,drupal-8}:'~5.70' -W "

1
  • In order for your question to be answerable, you need to provide specific details about php version, Composer version & the steps you took to install CiviCRM.
    – Coleman
    Feb 7 at 20:32

1 Answer 1

2

CiviCRM is a community-maintained project, though there is a core team of maintainers.

However, there seem to be two conflated issues here:

  • Rector is returning errors.
  • Drupal is erroring out.

Most of the errors you're posting are in the ORIGINAL folder. There are parts of CiviCRM that predate Composer and git. When outside libraries needed to be patched, the unpatched libraries were kept in an ORIGINAL folder. Those libraries should neither be referenced nor be web-accessible, so these errors don't affect current use.

They also don't appear in the CiviCRM tarballs - it's worth considering whether they should be in Composer, or in the project at all now. But they're a red herring, and there is an active effort to get all packages into Composer management.

As for the error you're experiencing - I suspect this is a PHP version issue. Please edit your question to include more information about the environment you're working in, and ensure it matches the CiviCRM system requirements for the version of CiviCRM you're trying to install.

3
  • The {$var} thing is fixed in 5.71. Or could also manually composer require pear/db:~1.12.1. But it should just be a warning even in php 8.2 not a fatal.
    – Demerit
    Feb 7 at 23:37
  • OK thanks; however the pear require complains it is already in composer.json, and I changed the civicrm-core from "~5.70" to "^5.70" and a dry-run revealed => "(5.70.x-dev c9e4014 => 5.70.x-dev 44b02de) ", but there appeared to be no 5.71 available for download through composer. The {$var} is fatal on my system Feb 8 at 19:19
  • 5.71 isn't branched yet. At the moment it's still called dev-master, although it will branch in the next 24 hours likely. For the composer.json error, it's probably the lock file it's complaining about. Try composer update pear/db:~1.12.1
    – Demerit
    Feb 8 at 20:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.